/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.exif.persistence;

import it.tidalwave.image.metadata.EXIF;
import it.tidalwave.metadata.Metadata;
import it.tidalwave.metadata.spi.TestLoggingSupport;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class EXIFPersistenceSourceSinkTest extends TestLoggingSupport
  {
    private EXIFPersistenceSourceSink exifPersistenceSourceSink;
    
    @Before
    public void setupFixture() 
      throws Exception 
      {
        exifPersistenceSourceSink = new EXIFPersistenceSourceSink();
      }

    @After
    public void tearDownFixture() 
      {
        exifPersistenceSourceSink = null;
      }

    @Test
    public void testgetItemClas()
      {
        assertEquals(EXIF.class, exifPersistenceSourceSink.getItemClass());
      }
            
    @Test
    public void testGetName()
      {
        assertEquals("EXIF Persistence", exifPersistenceSourceSink.getName());
      }
            
    @Test
    public void testGetType()
      {
        assertEquals(Metadata.StorageType.INTERNAL, exifPersistenceSourceSink.getType());
      }
  }